SmartDoc Plugin - Feature #196
Adding query mechanism and result

12/11/2010 11:12 PM - Patrick Talbot

Status: Closed
Priority: Normal
Assignee: Patrick Talbot
Category:

Target version: v0.8

Browser (if web
client):

Start date:
Due date:

% Done:

Estimated time:

12/11/2010

100%
20.00 hours

Description

History

#1-01/17/2011 08:18 AM - Patrick Talbot

- Status changed from New to In Progress

#2 - 01/18/2011 06:08 AM - Patrick Talbot
- % Done changed from 0 to 20
- Estimated time set to 20.00 h

First draft version of query mechanism: plugins.SmartDoc.query() accepts a JS Object with these parameters: {

query: Lucene/Solr syntax query

queryType: @see Solr query types (default="standard")

start: int (default = 0)
rows: int (default = -1/ all)
highliting: boolean (default=false)

debug: boolean (default=false / Solr debug informations)

}
(MORE TO COME)

returns a JS Object with the following structure: {
responseHeader: { status: int (0=OK), QTime: total query time (in ms), params: Object returning the parameters used in the query },

response: { numFound: int, start: int, maxscore: double (best score) docs: array of documents [ {id: 1}, {id: 2}, etc. ],

highlighting: { doc.id: { field1: hilitePortion, field2: hilitePortion } }
}

#3 - 01/18/2011 06:14 AM - Patrick Talbot
- File solrForm.png added

For v0.8, allow to build this kind of form in Servoy:
solrForm.png

#4 - 01/19/2011 05:54 AM - Patrick Talbot
- % Done changed from 20 to 50

#5 - 01/19/2011 06:48 AM - Patrick Talbot
- File SmartDocSampleQueryForm.png added

Implemented sample query form in Servoy, it looks like this:
SmartDocSampleQueryForm.png

#6 - 01/19/2011 06:33 PM - Patrick Talbot
- % Done changed from 50 to 90
Added extended query parameters and sample solution can now query the Solr index.
Redesign the query form

Can now hook SolrServer on the fly

Better handling of lists for fields, hiliteFields, facets and filters ([,;\s] delimited String or String[])

#7 - 01/20/2011 02:57 PM - Patrick Talbot

- Status changed from In Progress to Closed

#8 - 01/20/2011 02:57 PM - Patrick Talbot
- % Done changed from 90 to 100

Files
solrForm.png 120 KB 01/18/2011 Patrick Talbot
SmartDocSampleQueryForm.png 94.8 KB 01/19/2011 Patrick Talbot
